@import url('https://fonts.googleapis.com/css2?family=Bodoni+Moda:ital,opsz,wght@0,6..96,400..900;1,6..96,400..900&family=Noto+Serif+JP:wght@200..900&display=swap');

/* --- 共通 --- */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: "Noto Serif JP", serif;
}

img {
    width: 100%;
    vertical-align: middle;
}

section {
    position: relative;
    min-height: 100dvh;
    width: 100dvw;

    &:before {
        content: "";
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 350px;
    }
}

h1 {
    font-family: "Bodoni Moda", serif;
    color: #FFF;
    font-weight: 700;
}

p {
    line-height: 1.8;
    text-align: justify;
}

footer {
    background-color: #362921;
    
    .copyright {
        color: #FFF;
        display: block;
        padding: 1.15rem 0;
        text-align: center;
    }
}

.background {
    background-image: url('images/bg_pattern.svg');
    background-size: 100%;
    background-position: center bottom;
    background-repeat: no-repeat;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 350px;
}

.container {
    background-image: linear-gradient(to bottom, rgba(87, 34, 0, 0.85), rgba(25, 9, 0, 0.85));
    position: relative;
    padding-bottom: 390px; /* background の高さ 350px プラス余白 40px */
    height: fit-content;
    min-height: 350px;
    width: 100%;
    z-index: 1;
}

.section-title {
    font-family: "Bodoni Moda", serif;
    display: grid;
    letter-spacing: 0.5rem;
    place-items: center;
    position: absolute;
    height: 350px;
    width: 100%;
}

.contents {
    background: rgb(255 255 255 / 0.5);
    position: relative;
    top: 350px;
    margin: auto;
    padding: 1.5rem 1rem;
    width: calc(100dvw - 2rem);
}

.inner {
    height: fit-content;

    h2 {
        font-size: clamp(1.313rem, 1.042rem + 1.2vw, 1.5rem);
        margin-bottom: 1rem;
        text-align: center;
    }

    p {
        margin-bottom: 1rem;
    }

    .photos {
        display: flex;
        flex-wrap: wrap;
        gap: 1rem;

        img {
            aspect-ratio: 1 / 1;
            display: block;
            width: calc(50% - 0.5rem);
            object-fit: cover;
            object-position: center;
        }
    }
}

/* --- TOP --- */
.top {
    position: relative;

    .logo {
        margin-bottom: 2.5rem;
        text-align: center;
    }

    &:before {
        background-image: url('images/background_top.png');
        height: 100%;
    }

    .background {
        height: 100%;
    }

    .container {
        height: 100svh;
    }

    .contents {
        background: none;
        display: grid;
        place-items: center;
        padding: 1.5rem 3rem;
        position: absolute;
        top: 0;
        left: 0;
        z-index: 1;
        height: 100%;
        width: 100%;

        .inner {
            max-width: 480px;

            p {
                color: #FFF;
                margin: 0 0 2.5rem;
            }
        }
    }
}

.btn-call {
    background-color: #FFF;
    border-radius: 100vmax;
    color: #000;
    display: flex;
    font-weight: 700;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;
    margin: 0 auto;
    padding: 0.5rem 1.5rem;
    text-decoration: none;
    width: fit-content;

    .icon {
        width: 1.5rem;
        height: auto;
    }

    .number {
        font-family: "Bodoni Moda", serif; /* フォントを合わせる場合 */
        font-size: 1.2rem;
        letter-spacing: 0.05em;
    }

    &:hover {
        opacity: 0.8;
    }
}

/* --- SERVICES --- */
.services {
    &:before {
        background-image: url('images/background_service_sp.webp');
    }
}

/* --- ACCESS --- */
.access {
    &:before {
        background-image: url('images/background_access_sp.webp');
    }

    .map {
        aspect-ratio: 1 / 1;
        width: 100%;

        iframe {
            border: 0;
            margin-bottom: 1rem;
            height: 100%;
            width: 100%;
        }
    }

    p {
        width: fit-content;
        margin: auto;
    }
}




/* --- Media Queries --- */
@media (min-width: 769px) {
    section {
        &:before {
            left: auto;
            right: 0;
            width: 50%;
        }
    }

    .section-title,
    .background {
        height: 100%;
    }

    .section-title {
        right: 0;
        width: 50%;
    }

    .container {
        padding-bottom: 0;
    }

    .contents {
        background: rgb(255 255 255 / 0.5);
        display: grid;
        top: 0;
        left: 0;
        margin: 0;
        min-height: 100dvh;
        width: 50%;
    }

    .inner {
        margin: auto;
        width: 69.8%;
        min-width: 350px;
    }

    /* --- TOP --- */
    .top {
        .contents {
            background: rgb(255 255 255 / 0.5);
            padding: 1.5rem 1rem;
            width: 50%;

            .inner {
                p {
                    color: #000;
                }
            }
        }
    }

    /* --- SERVICES --- */
    .services {
        &:before {
            background-image: url('images/background_service.webp');
            height: 100%;
        }
    }

    /* --- ACCESS --- */
    .access {
        &:before {
            background-image: url('images/background_access.webp');
            height: 100%;
        }
    }
}
